[arch-commits] Commit in go/repos (8 files)

Alexander Rødseth arodseth at archlinux.org
Thu Aug 20 15:47:56 UTC 2015


    Date: Thursday, August 20, 2015 @ 17:47:56
  Author: arodseth
Revision: 138559

archrelease: copy trunk to community-x86_64, community-i686

Added:
  go/repos/community-i686/PKGBUILD
    (from rev 138558, go/trunk/PKGBUILD)
  go/repos/community-i686/go.install
    (from rev 138558, go/trunk/go.install)
  go/repos/community-x86_64/PKGBUILD
    (from rev 138558, go/trunk/PKGBUILD)
  go/repos/community-x86_64/go.install
    (from rev 138558, go/trunk/go.install)
Deleted:
  go/repos/community-i686/PKGBUILD
  go/repos/community-i686/go.install
  go/repos/community-x86_64/PKGBUILD
  go/repos/community-x86_64/go.install

-----------------------------+
 /PKGBUILD                   |  332 ++++++++++++++++++++++++++++++++++++++++++
 /go.install                 |   42 +++++
 community-i686/PKGBUILD     |  163 --------------------
 community-i686/go.install   |   21 --
 community-x86_64/PKGBUILD   |  163 --------------------
 community-x86_64/go.install |   21 --
 6 files changed, 374 insertions(+), 368 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2015-08-20 15:46:29 UTC (rev 138558)
+++ community-i686/PKGBUILD	2015-08-20 15:47:56 UTC (rev 138559)
@@ -1,163 +0,0 @@
-# $Id$
-# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Rémy Oudompheng  <remy at archlinux.org>
-# Contributor: Andres Perera <andres87p gmail>
-# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
-# Contributor: Christian Himpel <chressie at gmail.com>
-# Contributor: Mike Rosset <mike.rosset at gmail.com>
-# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
-# Contributor: John Luebs <jkluebs at gmail.com>
-
-pkgname=go
-epoch=2
-pkgver=1.4.2
-pkgrel=2
-pkgdesc='Compiler and tools for the Go programming language from Google'
-arch=('x86_64' 'i686')
-url='http://golang.org/'
-license=('BSD')
-makedepends=('inetutils' 'git' 'mercurial')
-options=('!strip' 'staticlibs')
-optdepends=('mercurial: for fetching sources from mercurial repositories'
-            'git: for fetching sources from git repositories'
-            'bzr: for fetching sources from bazaar repositories'
-            'subversion: for fetching sources from subversion repositories')
-install="$pkgname.install"
-source=("$pkgname-$pkgver::git+https://go.googlesource.com/go#tag=$pkgname$pkgver")
-md5sums=('SKIP')
-
-build() {
-  cd "$pkgname-$pkgver/src"
-
-  export GOROOT="$srcdir/$pkgname-$pkgver"
-  export GOBIN="$GOROOT/bin"
-  export GOPATH="$srcdir/"
-  export GOROOT_FINAL=/usr/lib/go
-
-  #
-  # Arch Linux normally does not enable SSE2 for i686 because of older CPUs.
-  #
-  # However, exceptions are made for:
-  #  * Chromium, which is not expected to be used on older i686 CPUs
-  #  * Julia, which requires SSE2
-  #
-  # Go is so slow that it is unusable on i686 when SSE2 is not enabled,
-  # so I am also making an exception for Go.
-  #
-  # If you really want to build Go without SSE2 support, just uncomment the
-  # following export and rebuild:
-  #
-  # export GO386=387
-  #
-
-  # Enable ARM crosscompilation for linux
-  export GOOS=linux
-  export GOARCH=arm
-
-  bash make.bash
-
-  # Crosscompilation for various platforms (including linux)
-  for os in linux; do # darwin freebsd windows; do
-    for arch in amd64 386; do
-      export GOOS="$os"
-      export GOARCH="$arch"
-      bash make.bash --no-clean
-    done
-  done
-
-  GOOS=linux
-  case "$CARCH" in
-    x86_64) GOARCH=amd64 ;;
-    i686) GOARCH=386 ;;
-  esac
-
-  $GOROOT/bin/go get -d golang.org/x/tools/cmd/godoc
-  $GOROOT/bin/go build -o $srcdir/godoc golang.org/x/tools/cmd/godoc
-  for tool in vet cover callgraph; do
-    $GOROOT/bin/go get -d golang.org/x/tools/cmd/${tool}
-    $GOROOT/bin/go build -o $GOROOT/pkg/tool/${GOOS}_${GOARCH}/${tool} golang.org/x/tools/cmd/${tool}
-  done
-}
-
-check() {
-  cd "$pkgname-$pkgver"
-
-  #export GO386=387
-
-  export GOOS=linux
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=amd64
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=386
-  fi
-
-  export GOROOT="$srcdir/$pkgname-$pkgver"
-  export GOBIN="$GOROOT/bin"
-  export PATH="$srcdir/$pkgname-$pkgver/bin:$PATH"
-
-  # TestSimpleMulticastListener will fail in standard chroot
-  cd src && bash run.bash --no-rebuild || true
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-
-  export GOROOT="$srcdir/$pkgname-$pkgver"
-  export GOBIN="$GOROOT/bin"
-
-  install -Dm755 "$srcdir/godoc" "$pkgdir/usr/bin/godoc"
-
-  install -Dm644 LICENSE \
-    "$pkgdir/usr/share/licenses/go/LICENSE"
-
-  mkdir -p \
-    "$pkgdir/"{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site/src}}
-
-  cp -r doc misc -t "$pkgdir/usr/share/go"
-  ln -s /usr/share/go/doc "$pkgdir/usr/lib/go/doc"
-  cp -a bin "$pkgdir/usr"
-  cp -a pkg "$pkgdir/usr/lib/go"
-  cp -a "$GOROOT/src" "$pkgdir/usr/lib/go/"
-  cp -a "$GOROOT/src/cmd" "$pkgdir/usr/lib/go/src/cmd"
-  cp -a "$GOROOT/src/lib9" "$pkgdir/usr/lib/go/src/"
-  cp -a "$GOROOT/lib" "$pkgdir/usr/lib/go/"
-  cp -a "$GOROOT/include" "$pkgdir/usr/lib/go/"
-
-  install -Dm644 src/Make.* "$pkgdir/usr/lib/go/src"
-
-  # Remove object files from target src dir
-  find "$pkgdir/usr/lib/go/src/" -type f -name '*.[ao]' -delete
-
-  # Fix for FS#32813
-  find "$pkgdir" -type f -name sql.go -exec chmod -x {} \;
-
-  # Remove all executable source files
-  find "$pkgdir/usr/lib/go/src" -type f -executable -delete
-
-  # Headers for C modules
-  install -Dm644 src/runtime/runtime.h \
-    "$pkgdir/usr/lib/go/src/runtime/runtime.h"
-  install -Dm644 src/runtime/cgocall.h \
-    "$pkgdir/usr/lib/go/src/runtime/cgocall.h"
-
-  # This is to make go get code.google.com/p/go-tour/gotour and
-  # then running the gotour executable work out of the box.
-  ln -sf /usr/bin "$pkgdir/usr/lib/go/bin"
-
-  # For FS#42660 / FS#42661 / gox
-  install -Dm755 src/make.bash "$pkgdir/usr/lib/go/src/make.bash"
-  install -Dm755 src/run.bash "$pkgdir/usr/lib/go/src/run.bash"
-  cp -r misc/ "$pkgdir/usr/lib/go/"
-
-  # For godoc
-  install -Dm644 favicon.ico "$pkgdir/usr/lib/go/favicon.ico"
-
-  rm -f "$pkgdir/usr/share/go/doc/articles/wiki/get.bin"
-
-  install -Dm644 VERSION "$pkgdir/usr/lib/go/VERSION"
-
-  find "$pkgdir/usr/"{lib/go/pkg,bin} -type f -exec touch '{}' +
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-i686/PKGBUILD (from rev 138558, go/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2015-08-20 15:47:56 UTC (rev 138559)
@@ -0,0 +1,166 @@
+# $Id$
+# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Rémy Oudompheng  <remy at archlinux.org>
+# Contributor: Andres Perera <andres87p gmail>
+# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
+# Contributor: Christian Himpel <chressie at gmail.com>
+# Contributor: Mike Rosset <mike.rosset at gmail.com>
+# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
+# Contributor: John Luebs <jkluebs at gmail.com>
+
+pkgname=go
+epoch=2
+pkgver=1.5
+pkgrel=1
+pkgdesc='Compiler and tools for the Go programming language from Google'
+arch=('x86_64' 'i686')
+url='http://golang.org/'
+license=('BSD')
+makedepends=('inetutils' 'git' 'mercurial' 'go')
+options=('!strip' 'staticlibs')
+optdepends=('mercurial: for fetching sources from mercurial repositories'
+            'git: for fetching sources from git repositories'
+            'bzr: for fetching sources from bazaar repositories'
+            'subversion: for fetching sources from subversion repositories')
+install="$pkgname.install"
+source=("$pkgname-$pkgver::git+https://go.googlesource.com/go#tag=$pkgname$pkgver")
+md5sums=('SKIP')
+
+build() {
+  cd "$pkgname-$pkgver/src"
+
+  export GOROOT="$srcdir/$pkgname-$pkgver"
+  export GOBIN="$GOROOT/bin"
+  export GOPATH="$srcdir/"
+  export GOROOT_FINAL=/usr/lib/go
+  export GOROOT_BOOTSTRAP=/usr/lib/go
+
+  #
+  # Arch Linux normally does not enable SSE2 for i686 because of older CPUs.
+  #
+  # However, exceptions are made for:
+  #  * Chromium, which is not expected to be used on older i686 CPUs
+  #  * Julia, which requires SSE2
+  #
+  # Go is so slow that it is unusable on i686 when SSE2 is not enabled,
+  # so I am also making an exception for Go.
+  #
+  # If you really want to build Go without SSE2 support, just uncomment the
+  # following export and rebuild:
+  #
+  # export GO386=387
+  #
+
+  # Enable ARM crosscompilation for linux
+  export GOOS=linux
+  export GOARCH=arm
+
+  bash make.bash
+
+  # Crosscompilation for various platforms (including linux)
+  for os in linux; do # darwin freebsd windows; do
+    for arch in amd64 386; do
+      export GOOS="$os"
+      export GOARCH="$arch"
+      bash make.bash --no-clean
+    done
+  done
+
+  GOOS=linux
+  case "$CARCH" in
+    x86_64) GOARCH=amd64 ;;
+    i686) GOARCH=386 ;;
+  esac
+
+  $GOROOT/bin/go get -d golang.org/x/tools/cmd/godoc
+  $GOROOT/bin/go build -o $srcdir/godoc golang.org/x/tools/cmd/godoc
+  for tool in vet cover callgraph; do
+    $GOROOT/bin/go get -d golang.org/x/tools/cmd/${tool}
+    $GOROOT/bin/go build -o $GOROOT/pkg/tool/${GOOS}_${GOARCH}/${tool} golang.org/x/tools/cmd/${tool}
+  done
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+
+  #export GO386=387
+
+  export GOOS=linux
+  if [ "$CARCH" == 'x86_64' ]; then
+    export GOARCH=amd64
+  elif [ "$CARCH" == 'i686' ]; then
+    export GOARCH=386
+  fi
+
+  export GOROOT="$srcdir/$pkgname-$pkgver"
+  export GOBIN="$GOROOT/bin"
+  export PATH="$srcdir/$pkgname-$pkgver/bin:$PATH"
+  export GOROOT_BOOTSTRAP=/usr/lib/go
+
+  # TestSimpleMulticastListener will fail in standard chroot
+  cd src && bash run.bash --no-rebuild || true
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  export GOROOT="$srcdir/$pkgname-$pkgver"
+  export GOBIN="$GOROOT/bin"
+  export GOROOT_BOOTSTRAP=/usr/lib/go
+
+  install -Dm755 "$srcdir/godoc" "$pkgdir/usr/bin/godoc"
+
+  install -Dm644 LICENSE \
+    "$pkgdir/usr/share/licenses/go/LICENSE"
+
+  mkdir -p \
+    "$pkgdir/"{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site/src}}
+
+  cp -r doc misc -t "$pkgdir/usr/share/go"
+  ln -s /usr/share/go/doc "$pkgdir/usr/lib/go/doc"
+  cp -a bin "$pkgdir/usr"
+  cp -a pkg "$pkgdir/usr/lib/go"
+  cp -a "$GOROOT/src" "$pkgdir/usr/lib/go/"
+  cp -a "$GOROOT/src/cmd" "$pkgdir/usr/lib/go/src/cmd"
+  #cp -a "$GOROOT/src/lib9" "$pkgdir/usr/lib/go/src/"
+  cp -a "$GOROOT/lib" "$pkgdir/usr/lib/go/"
+  #cp -a "$GOROOT/include" "$pkgdir/usr/lib/go/"
+
+  install -Dm644 src/Make.* "$pkgdir/usr/lib/go/src"
+
+  # Remove object files from target src dir
+  find "$pkgdir/usr/lib/go/src/" -type f -name '*.[ao]' -delete
+
+  # Fix for FS#32813
+  find "$pkgdir" -type f -name sql.go -exec chmod -x {} \;
+
+  # Remove all executable source files
+  find "$pkgdir/usr/lib/go/src" -type f -executable -delete
+
+  # Headers for C modules
+  #install -Dm644 src/runtime/runtime.h \
+  #  "$pkgdir/usr/lib/go/src/runtime/runtime.h"
+  #install -Dm644 src/runtime/cgocall.h \
+  #  "$pkgdir/usr/lib/go/src/runtime/cgocall.h"
+
+  # This is to make go get code.google.com/p/go-tour/gotour and
+  # then running the gotour executable work out of the box.
+  ln -sf /usr/bin "$pkgdir/usr/lib/go/bin"
+
+  # For FS#42660 / FS#42661 / gox
+  install -Dm755 src/make.bash "$pkgdir/usr/lib/go/src/make.bash"
+  install -Dm755 src/run.bash "$pkgdir/usr/lib/go/src/run.bash"
+  cp -r misc/ "$pkgdir/usr/lib/go/"
+
+  # For godoc
+  install -Dm644 favicon.ico "$pkgdir/usr/lib/go/favicon.ico"
+
+  rm -f "$pkgdir/usr/share/go/doc/articles/wiki/get.bin"
+
+  install -Dm644 VERSION "$pkgdir/usr/lib/go/VERSION"
+
+  find "$pkgdir/usr/"{lib/go/pkg,bin} -type f -exec touch '{}' +
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/go.install
===================================================================
--- community-i686/go.install	2015-08-20 15:46:29 UTC (rev 138558)
+++ community-i686/go.install	2015-08-20 15:47:56 UTC (rev 138559)
@@ -1,21 +0,0 @@
-post_install() {
-  # Friendly message for new users
-  echo
-  echo 'The "liteide" package provides an IDE for editing and building Go projects.'
-  echo
-  echo 'Example use of the "go" tool:'
-  echo
-  echo '    mkdir ~/go'
-  echo '    export GOPATH=~/go'
-  echo '    export PATH=$PATH:~/go/bin'
-  echo '    go get golang.org/x/tour/gotour'
-  echo
-  post_upgrade
-}
-
-post_upgrade() {
-  # This is needed to avoid problems like FS#41561 and FS#44099
-  go install std 2> /dev/null || return 0
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-i686/go.install (from rev 138558, go/trunk/go.install)
===================================================================
--- community-i686/go.install	                        (rev 0)
+++ community-i686/go.install	2015-08-20 15:47:56 UTC (rev 138559)
@@ -0,0 +1,21 @@
+post_install() {
+  # Friendly message for new users
+  echo
+  echo 'The "liteide" package provides an IDE for editing and building Go projects.'
+  echo
+  echo 'Example use of the "go" tool:'
+  echo
+  echo '    mkdir ~/go'
+  echo '    export GOPATH=~/go'
+  echo '    export PATH=$PATH:~/go/bin'
+  echo '    go get golang.org/x/tour/gotour'
+  echo
+  post_upgrade
+}
+
+post_upgrade() {
+  # This is needed to avoid problems like FS#41561 and FS#44099
+  go install std 2> /dev/null || return 0
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2015-08-20 15:46:29 UTC (rev 138558)
+++ community-x86_64/PKGBUILD	2015-08-20 15:47:56 UTC (rev 138559)
@@ -1,163 +0,0 @@
-# $Id$
-# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Rémy Oudompheng  <remy at archlinux.org>
-# Contributor: Andres Perera <andres87p gmail>
-# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
-# Contributor: Christian Himpel <chressie at gmail.com>
-# Contributor: Mike Rosset <mike.rosset at gmail.com>
-# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
-# Contributor: John Luebs <jkluebs at gmail.com>
-
-pkgname=go
-epoch=2
-pkgver=1.4.2
-pkgrel=2
-pkgdesc='Compiler and tools for the Go programming language from Google'
-arch=('x86_64' 'i686')
-url='http://golang.org/'
-license=('BSD')
-makedepends=('inetutils' 'git' 'mercurial')
-options=('!strip' 'staticlibs')
-optdepends=('mercurial: for fetching sources from mercurial repositories'
-            'git: for fetching sources from git repositories'
-            'bzr: for fetching sources from bazaar repositories'
-            'subversion: for fetching sources from subversion repositories')
-install="$pkgname.install"
-source=("$pkgname-$pkgver::git+https://go.googlesource.com/go#tag=$pkgname$pkgver")
-md5sums=('SKIP')
-
-build() {
-  cd "$pkgname-$pkgver/src"
-
-  export GOROOT="$srcdir/$pkgname-$pkgver"
-  export GOBIN="$GOROOT/bin"
-  export GOPATH="$srcdir/"
-  export GOROOT_FINAL=/usr/lib/go
-
-  #
-  # Arch Linux normally does not enable SSE2 for i686 because of older CPUs.
-  #
-  # However, exceptions are made for:
-  #  * Chromium, which is not expected to be used on older i686 CPUs
-  #  * Julia, which requires SSE2
-  #
-  # Go is so slow that it is unusable on i686 when SSE2 is not enabled,
-  # so I am also making an exception for Go.
-  #
-  # If you really want to build Go without SSE2 support, just uncomment the
-  # following export and rebuild:
-  #
-  # export GO386=387
-  #
-
-  # Enable ARM crosscompilation for linux
-  export GOOS=linux
-  export GOARCH=arm
-
-  bash make.bash
-
-  # Crosscompilation for various platforms (including linux)
-  for os in linux; do # darwin freebsd windows; do
-    for arch in amd64 386; do
-      export GOOS="$os"
-      export GOARCH="$arch"
-      bash make.bash --no-clean
-    done
-  done
-
-  GOOS=linux
-  case "$CARCH" in
-    x86_64) GOARCH=amd64 ;;
-    i686) GOARCH=386 ;;
-  esac
-
-  $GOROOT/bin/go get -d golang.org/x/tools/cmd/godoc
-  $GOROOT/bin/go build -o $srcdir/godoc golang.org/x/tools/cmd/godoc
-  for tool in vet cover callgraph; do
-    $GOROOT/bin/go get -d golang.org/x/tools/cmd/${tool}
-    $GOROOT/bin/go build -o $GOROOT/pkg/tool/${GOOS}_${GOARCH}/${tool} golang.org/x/tools/cmd/${tool}
-  done
-}
-
-check() {
-  cd "$pkgname-$pkgver"
-
-  #export GO386=387
-
-  export GOOS=linux
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=amd64
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=386
-  fi
-
-  export GOROOT="$srcdir/$pkgname-$pkgver"
-  export GOBIN="$GOROOT/bin"
-  export PATH="$srcdir/$pkgname-$pkgver/bin:$PATH"
-
-  # TestSimpleMulticastListener will fail in standard chroot
-  cd src && bash run.bash --no-rebuild || true
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-
-  export GOROOT="$srcdir/$pkgname-$pkgver"
-  export GOBIN="$GOROOT/bin"
-
-  install -Dm755 "$srcdir/godoc" "$pkgdir/usr/bin/godoc"
-
-  install -Dm644 LICENSE \
-    "$pkgdir/usr/share/licenses/go/LICENSE"
-
-  mkdir -p \
-    "$pkgdir/"{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site/src}}
-
-  cp -r doc misc -t "$pkgdir/usr/share/go"
-  ln -s /usr/share/go/doc "$pkgdir/usr/lib/go/doc"
-  cp -a bin "$pkgdir/usr"
-  cp -a pkg "$pkgdir/usr/lib/go"
-  cp -a "$GOROOT/src" "$pkgdir/usr/lib/go/"
-  cp -a "$GOROOT/src/cmd" "$pkgdir/usr/lib/go/src/cmd"
-  cp -a "$GOROOT/src/lib9" "$pkgdir/usr/lib/go/src/"
-  cp -a "$GOROOT/lib" "$pkgdir/usr/lib/go/"
-  cp -a "$GOROOT/include" "$pkgdir/usr/lib/go/"
-
-  install -Dm644 src/Make.* "$pkgdir/usr/lib/go/src"
-
-  # Remove object files from target src dir
-  find "$pkgdir/usr/lib/go/src/" -type f -name '*.[ao]' -delete
-
-  # Fix for FS#32813
-  find "$pkgdir" -type f -name sql.go -exec chmod -x {} \;
-
-  # Remove all executable source files
-  find "$pkgdir/usr/lib/go/src" -type f -executable -delete
-
-  # Headers for C modules
-  install -Dm644 src/runtime/runtime.h \
-    "$pkgdir/usr/lib/go/src/runtime/runtime.h"
-  install -Dm644 src/runtime/cgocall.h \
-    "$pkgdir/usr/lib/go/src/runtime/cgocall.h"
-
-  # This is to make go get code.google.com/p/go-tour/gotour and
-  # then running the gotour executable work out of the box.
-  ln -sf /usr/bin "$pkgdir/usr/lib/go/bin"
-
-  # For FS#42660 / FS#42661 / gox
-  install -Dm755 src/make.bash "$pkgdir/usr/lib/go/src/make.bash"
-  install -Dm755 src/run.bash "$pkgdir/usr/lib/go/src/run.bash"
-  cp -r misc/ "$pkgdir/usr/lib/go/"
-
-  # For godoc
-  install -Dm644 favicon.ico "$pkgdir/usr/lib/go/favicon.ico"
-
-  rm -f "$pkgdir/usr/share/go/doc/articles/wiki/get.bin"
-
-  install -Dm644 VERSION "$pkgdir/usr/lib/go/VERSION"
-
-  find "$pkgdir/usr/"{lib/go/pkg,bin} -type f -exec touch '{}' +
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-x86_64/PKGBUILD (from rev 138558, go/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2015-08-20 15:47:56 UTC (rev 138559)
@@ -0,0 +1,166 @@
+# $Id$
+# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Rémy Oudompheng  <remy at archlinux.org>
+# Contributor: Andres Perera <andres87p gmail>
+# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
+# Contributor: Christian Himpel <chressie at gmail.com>
+# Contributor: Mike Rosset <mike.rosset at gmail.com>
+# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
+# Contributor: John Luebs <jkluebs at gmail.com>
+
+pkgname=go
+epoch=2
+pkgver=1.5
+pkgrel=1
+pkgdesc='Compiler and tools for the Go programming language from Google'
+arch=('x86_64' 'i686')
+url='http://golang.org/'
+license=('BSD')
+makedepends=('inetutils' 'git' 'mercurial' 'go')
+options=('!strip' 'staticlibs')
+optdepends=('mercurial: for fetching sources from mercurial repositories'
+            'git: for fetching sources from git repositories'
+            'bzr: for fetching sources from bazaar repositories'
+            'subversion: for fetching sources from subversion repositories')
+install="$pkgname.install"
+source=("$pkgname-$pkgver::git+https://go.googlesource.com/go#tag=$pkgname$pkgver")
+md5sums=('SKIP')
+
+build() {
+  cd "$pkgname-$pkgver/src"
+
+  export GOROOT="$srcdir/$pkgname-$pkgver"
+  export GOBIN="$GOROOT/bin"
+  export GOPATH="$srcdir/"
+  export GOROOT_FINAL=/usr/lib/go
+  export GOROOT_BOOTSTRAP=/usr/lib/go
+
+  #
+  # Arch Linux normally does not enable SSE2 for i686 because of older CPUs.
+  #
+  # However, exceptions are made for:
+  #  * Chromium, which is not expected to be used on older i686 CPUs
+  #  * Julia, which requires SSE2
+  #
+  # Go is so slow that it is unusable on i686 when SSE2 is not enabled,
+  # so I am also making an exception for Go.
+  #
+  # If you really want to build Go without SSE2 support, just uncomment the
+  # following export and rebuild:
+  #
+  # export GO386=387
+  #
+
+  # Enable ARM crosscompilation for linux
+  export GOOS=linux
+  export GOARCH=arm
+
+  bash make.bash
+
+  # Crosscompilation for various platforms (including linux)
+  for os in linux; do # darwin freebsd windows; do
+    for arch in amd64 386; do
+      export GOOS="$os"
+      export GOARCH="$arch"
+      bash make.bash --no-clean
+    done
+  done
+
+  GOOS=linux
+  case "$CARCH" in
+    x86_64) GOARCH=amd64 ;;
+    i686) GOARCH=386 ;;
+  esac
+
+  $GOROOT/bin/go get -d golang.org/x/tools/cmd/godoc
+  $GOROOT/bin/go build -o $srcdir/godoc golang.org/x/tools/cmd/godoc
+  for tool in vet cover callgraph; do
+    $GOROOT/bin/go get -d golang.org/x/tools/cmd/${tool}
+    $GOROOT/bin/go build -o $GOROOT/pkg/tool/${GOOS}_${GOARCH}/${tool} golang.org/x/tools/cmd/${tool}
+  done
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+
+  #export GO386=387
+
+  export GOOS=linux
+  if [ "$CARCH" == 'x86_64' ]; then
+    export GOARCH=amd64
+  elif [ "$CARCH" == 'i686' ]; then
+    export GOARCH=386
+  fi
+
+  export GOROOT="$srcdir/$pkgname-$pkgver"
+  export GOBIN="$GOROOT/bin"
+  export PATH="$srcdir/$pkgname-$pkgver/bin:$PATH"
+  export GOROOT_BOOTSTRAP=/usr/lib/go
+
+  # TestSimpleMulticastListener will fail in standard chroot
+  cd src && bash run.bash --no-rebuild || true
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  export GOROOT="$srcdir/$pkgname-$pkgver"
+  export GOBIN="$GOROOT/bin"
+  export GOROOT_BOOTSTRAP=/usr/lib/go
+
+  install -Dm755 "$srcdir/godoc" "$pkgdir/usr/bin/godoc"
+
+  install -Dm644 LICENSE \
+    "$pkgdir/usr/share/licenses/go/LICENSE"
+
+  mkdir -p \
+    "$pkgdir/"{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site/src}}
+
+  cp -r doc misc -t "$pkgdir/usr/share/go"
+  ln -s /usr/share/go/doc "$pkgdir/usr/lib/go/doc"
+  cp -a bin "$pkgdir/usr"
+  cp -a pkg "$pkgdir/usr/lib/go"
+  cp -a "$GOROOT/src" "$pkgdir/usr/lib/go/"
+  cp -a "$GOROOT/src/cmd" "$pkgdir/usr/lib/go/src/cmd"
+  #cp -a "$GOROOT/src/lib9" "$pkgdir/usr/lib/go/src/"
+  cp -a "$GOROOT/lib" "$pkgdir/usr/lib/go/"
+  #cp -a "$GOROOT/include" "$pkgdir/usr/lib/go/"
+
+  install -Dm644 src/Make.* "$pkgdir/usr/lib/go/src"
+
+  # Remove object files from target src dir
+  find "$pkgdir/usr/lib/go/src/" -type f -name '*.[ao]' -delete
+
+  # Fix for FS#32813
+  find "$pkgdir" -type f -name sql.go -exec chmod -x {} \;
+
+  # Remove all executable source files
+  find "$pkgdir/usr/lib/go/src" -type f -executable -delete
+
+  # Headers for C modules
+  #install -Dm644 src/runtime/runtime.h \
+  #  "$pkgdir/usr/lib/go/src/runtime/runtime.h"
+  #install -Dm644 src/runtime/cgocall.h \
+  #  "$pkgdir/usr/lib/go/src/runtime/cgocall.h"
+
+  # This is to make go get code.google.com/p/go-tour/gotour and
+  # then running the gotour executable work out of the box.
+  ln -sf /usr/bin "$pkgdir/usr/lib/go/bin"
+
+  # For FS#42660 / FS#42661 / gox
+  install -Dm755 src/make.bash "$pkgdir/usr/lib/go/src/make.bash"
+  install -Dm755 src/run.bash "$pkgdir/usr/lib/go/src/run.bash"
+  cp -r misc/ "$pkgdir/usr/lib/go/"
+
+  # For godoc
+  install -Dm644 favicon.ico "$pkgdir/usr/lib/go/favicon.ico"
+
+  rm -f "$pkgdir/usr/share/go/doc/articles/wiki/get.bin"
+
+  install -Dm644 VERSION "$pkgdir/usr/lib/go/VERSION"
+
+  find "$pkgdir/usr/"{lib/go/pkg,bin} -type f -exec touch '{}' +
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/go.install
===================================================================
--- community-x86_64/go.install	2015-08-20 15:46:29 UTC (rev 138558)
+++ community-x86_64/go.install	2015-08-20 15:47:56 UTC (rev 138559)
@@ -1,21 +0,0 @@
-post_install() {
-  # Friendly message for new users
-  echo
-  echo 'The "liteide" package provides an IDE for editing and building Go projects.'
-  echo
-  echo 'Example use of the "go" tool:'
-  echo
-  echo '    mkdir ~/go'
-  echo '    export GOPATH=~/go'
-  echo '    export PATH=$PATH:~/go/bin'
-  echo '    go get golang.org/x/tour/gotour'
-  echo
-  post_upgrade
-}
-
-post_upgrade() {
-  # This is needed to avoid problems like FS#41561 and FS#44099
-  go install std 2> /dev/null || return 0
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-x86_64/go.install (from rev 138558, go/trunk/go.install)
===================================================================
--- community-x86_64/go.install	                        (rev 0)
+++ community-x86_64/go.install	2015-08-20 15:47:56 UTC (rev 138559)
@@ -0,0 +1,21 @@
+post_install() {
+  # Friendly message for new users
+  echo
+  echo 'The "liteide" package provides an IDE for editing and building Go projects.'
+  echo
+  echo 'Example use of the "go" tool:'
+  echo
+  echo '    mkdir ~/go'
+  echo '    export GOPATH=~/go'
+  echo '    export PATH=$PATH:~/go/bin'
+  echo '    go get golang.org/x/tour/gotour'
+  echo
+  post_upgrade
+}
+
+post_upgrade() {
+  # This is needed to avoid problems like FS#41561 and FS#44099
+  go install std 2> /dev/null || return 0
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list